gsound(1)

NAME
gsound - Tool for doing sound I/O using the sound gensio

SYNOPSIS
gsound [-r|--rate num] [-n|--nbufs num] [-c|--channels num] [-s|--bufsize num] [-t|--type num] [-f|--format str] [-p|--play] [-L|--list-devs] [-d|--debug] [-h|--help] <device> [<file>]

DESCRIPTION
The gsound program allows you to record/play sound to/from the given sound device. Sound data goes to/from file, or stdio if the file isn't given.

OPTIONS

-r|--rate num
    The sample rate, defaults to 44100.

-n|--nbufs num
    The number of buffers, defaults to 4.

-c|--channels num
    The number of channels, defaults to 1.

-s|--bufsize num
    The number of buffer size, defaults to 2048.

-t|--type num
    The interface type, either alsa (Linux), win (Windows), portaudio (generally MacOS) or file. Default to alsa, win, or portaudio depending on the platform.

-f|--format str
    The I/O format. Default to float. May be one of double, float, int32, int24, int16, or int8

-p|--play
    Playback data from stdin. The default is to record data to stdout.

-L|--list-devs
    List available devices and exit.

-d|--debug
    Enable debug. Specify more than once to increase the debug level

-h|--help
    Help

SEE ALSO
gensio(5)

KNOWN PROBLEMS
None.

AUTHOR

Corey Minyard <minyard@acm.org>